# MA-plot from base means and log fold changes

`plotMA.Rd`

MA-plot addaptation to show the shrinking effect.

    # S4 method for DEGSet
    plotMA(object, title = NULL, label_points = NULL,
      label_column = "symbol", limit = NULL, diff = 5, raw = FALSE,
      correlation = FALSE, ...)

## Arguments

object | DEGSet class.
title | Optional. Plot title.
label_points | Optionally label these particular points.
label_column | Match label_points to this column in the results.
limit | Absolute maximum to plot on the log2FoldChange.
diff | Minimum difference between logFoldChange before and after shrinking.
raw | Whether to plot just the unshrunken log2FC.
correlation | Whether to plot the correlation of the two logFCs.
... | Optional parameters to pass.

## Value

MA-plot ggplot.

## Examples

    library(DESeq2)
    dds <- makeExampleDESeqDataSet(betaSD=1)
    dds <- DESeq(dds)#> estimating size factors#> estimating dispersions#> gene-wise dispersion estimates#> mean-dispersion relationship#> final dispersion estimates#> fitting model and testingres <- degComps(dds, contrast = list("condition_B_vs_A"))#> Doing 1 element(s).#> Doing results() for each element.#> Doing lcfSrink() for each element.plotMA(res[["condition_B_vs_A"]])#> Error in grid.Call(C_textBounds, as.graphicsAnnot(x$label), x$x, x$y,     resolveHJust(x$just, x$hjust), resolveVJust(x$just, x$vjust),     x$rot, 0): polygon edge not found